FROM node:10.15.0-alpine
WORKDIR /usr/src/app

# Requirements of bcrypt
RUN apk update
#RUN apk --no-cache add --virtual builds-deps build-base python

#Install Artillery
RUN npm install -g artillery --unsafe-perm=true --allow-root

# Install dep
RUN npm install openpgp

COPY load/* ./

CMD ["artillery", "run", "create-user.yml"]